<!DOCTYPE html>
<html lang="en">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="../style.css" type="text/css">
<link rel="icon" type="image/png" href="icon.png">
<title>New QEMU USB syntax</title>
<body>
<h1>azarus' page</h1>
<h2>New QEMU USB syntax</h2>
<p>Date: 2017-09-03</p>
<p>I've upgraded from QEMU 2.9.0 to 2.10.0, and noticed that my USB passthrough
wasn't working anymore, so I had to change the parameters. The syntax is quite
confusing, so I'll document it here.</p>
<p>Take, for example, this nice, and simple, legacy syntax:<p>
<pre>-usbdevice host:05ac:0205</pre>
<p>to change that into the new [-device usb-...] syntax, it turns into:</p>
<pre>-device usb-host,vendorid='0x05ac',productid='0x0205'</pre>
<p>This really threw me off at first, because of the `0x` you have to prepend
before the vendorid and productid parameters.</p>
<p>Hope this help for people that upgrade to 2.10.</p>
<footer>
<hr>
<p>Unless otherwise noted, this content is <a href="https://creativecommons.org/publicdomain/zero/1.0/">
publicly licensed (CC0)</a>.</p>
<p>This website is served by the <a href="https://man.openbsd.org/httpd">httpd</a> daemon, running on OpenBSD 6.3.</p>
</footer>
</body>
</html>
